package log

import (
	// Standard
	"bufio"
	"fmt"
	"os"
)

var (
	logFile os.File
	log *bufio.Writer
)

func init() {
	logFile, _ := os.OpenFile("/tmp/launcher.log", os.O_APPEND | os.O_CREATE | os.O_WRONLY, 0644)
	log = bufio.NewWriter(logFile)
}

func Print(format string, params ...interface{}) {
	fmt.Fprintf(log, format+"\n", params...)
	log.Flush()
}
